package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface TemMapper {

    int insert(Tem record);

    int insertSelective(Tem record);

    int updateByPrimaryKeySelective(Tem record);

    int updateByPrimaryKey(Tem record);

    int deleteByPrimaryKey(Tem record);

    int deleteByIds(Collection<Object> collection);

    Tem selectByPrimaryKey(Tem record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tem> dyncRead(Map<String, Object> dyncMap);


    List<Tem> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr (@Param("objtyp") String objtyp, @Param("objinr") String objinr);
    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tbk> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tem> entities);

}